<?php

if (!defined('ABSPATH')) {
    exit;
}
if (!class_exists('Jitsi_Pro_Admin_Settings')) {
    class Jitsi_Pro_Admin_Settings
    {
        public $settings;
        public $callbacks;
        public $prefix;

        public function __construct()
        {
            include_once JITSI_MEET_WP_FILE_PATH . 'inc/admin/jitsi-pro-admin.php';
            include_once JITSI_MEET_WP_FILE_PATH . 'inc/admin/mannage-callback.php';

            $this->settings  = new Jitsi_Settings();
            $this->callbacks = new Mannage_Callback();
            $this->prefix = 'jitsi_opt_';

            // Fields
            $this->setSettings();
            $this->setSections();
            $this->setFields();
        }

        public static function key()
        {
            return 'jitsi-pro';
        }

        public function setSettings()
        {
            $args = array();

            $args[] = array(
                'option_group' 	=> 'jitsi-pro-api',
                'option_name'  	=> $this->prefix . 'select_api_free'
            );
    
            $args[] = array(
                'option_group' => 'jitsi-pro-api',
                'option_name'  => $this->prefix . 'custom_domain',
            );

            $args[] = array(
                'option_group' => 'jitsi-pro-admin',
                'option_name'  => $this->prefix . 'user_email',
            );

            $args[] = array(
                'option_group' => 'jitsi-pro-admin',
                'option_name'  => $this->prefix . 'user_name',
            );

            $args[] = array(
                'option_group' 	=> 'jitsi-pro-admin',
                'option_name' 	=> $this->prefix . 'user_avatar'
            );

            $args[] = array(
            'option_group' => 'jitsi-pro-admin',
            'option_name'  => $this->prefix . 'user_is_moderator',
        );

            $args[] = array(
            'option_group' => 'jitsi-pro-admin',
            'option_name'  => $this->prefix . 'other_admin_config',
        );

            $args[] = array(
                'option_group' 	=> 'jitsi-pro-config',
                'option_name' 	=> $this->prefix . 'enable_livestream'
            );

            $args[] = array(
                'option_group' 	=> 'jitsi-pro-config',
                'option_name' 	=> $this->prefix . 'enable_recording'
            );

            $args[] = array(
                'option_group' 	=> 'jitsi-pro-audio',
                'option_name' 	=> $this->prefix . 'start_audio_only'
            );

            $args[] = array(
                'option_group' 	=> 'jitsi-pro-audio',
                'option_name' 	=> $this->prefix . 'start_audio_muted'
            );

            $args[] = array(
                'option_group' 	=> 'jitsi-pro-audio',
                'option_name' 	=> $this->prefix . 'start_local_audio_muted'
            );

            $args[] = array(
                'option_group' 	=> 'jitsi-pro-audio',
                'option_name' 	=> $this->prefix . 'start_silent'
            );

            $args[] = array(
                'option_group' 	=> 'jitsi-pro-video',
                'option_name' 	=> $this->prefix . 'video_resolution'
            );

            $args[] = array(
                'option_group' 	=> 'jitsi-pro-video',
                'option_name' 	=> $this->prefix . 'maxfullresolutionparticipant'
            );

            $args[] = array(
                'option_group' 	=> 'jitsi-pro-config',
                'option_name' 	=> $this->prefix . 'disableSimulcast'
            );

            $args[] = array(
                'option_group' 	=> 'jitsi-pro-video',
                'option_name' 	=> $this->prefix . 'startVideoMuted'
            );

            $args[] = array(
            'option_group' 	=> 'jitsi-pro-video',
            'option_name' 	=> $this->prefix . 'startWithVideoMuted'
        );

            $args[] = array(
            'option_group' 	=> 'jitsi-pro-video',
            'option_name' 	=> $this->prefix . 'startScreenSharing'
        );

            $args[] = array(
                'option_group' 	=> 'jitsi-pro-config',
                'option_name' 	=> $this->prefix . 'width'
            );

            $args[] = array(
                'option_group' 	=> 'jitsi-pro-config',
                'option_name' 	=> $this->prefix . 'height'
            );

            $args[] = array(
                'option_group' 	=> 'jitsi-pro-config',
                'option_name' 	=> $this->prefix . 'invite'
            );

            $this->settings->setSettings($args);
        }

        public function setSections()
        {
            $args = array(
            array(
                'id'    => $this->prefix . 'api_section',
                'title' => null,
                'page' => 'jitsi-pro-api'
            ),
            array(
                'id'    => $this->prefix . 'admin_section',
                'title' => null,
                'page' => 'jitsi-pro-admin'
            ),
            array(
                'id'	=> $this->prefix . 'config_section',
                'title'	=> null,
                'page'	=> 'jitsi-pro-config'
            ),
            array(
                'id'	=> $this->prefix . 'audio_section',
                'title'	=> null,
                'page'	=> 'jitsi-pro-audio'
            ),
            array(
                'id'	=> $this->prefix . 'video_section',
                'title'	=> null,
                'page'	=> 'jitsi-pro-video'
            )
        );

            $this->settings->setSections($args);
        }

        public function setFields()
        {
            $args = array();

            $args[] = [
                'id'       => $this->prefix . 'select_api_free',
                'title'    => __('Select API', 'jitsi-pro') . '<span class="description">' . __('Select your api', 'jitsi-pro') . '</span>',
                'callback' => [$this->callbacks, 'jitsi_multiswitch'],
                'page'     => 'jitsi-pro-api',
                'section'  => $this->prefix . 'api_section',
                'args'     => [
                    'label_for' => $this->prefix . 'select_api_free',
                    'default'   => 'free',
                    'options'   => array(
                        'free'     => '<svg xmlns="http://www.w3.org/2000/svg" width="40" height="40" viewBox="0 0 48 48" fill="none">
                        <circle cx="24" cy="24" r="24" fill="#4083FF"/>
                        <path d="M32.9285 18.6308C32.6182 18.0102 32.2044 17.493 31.5838 17.1826C31.17 16.8723 30.6528 16.7689 30.239 16.6654C30.239 16.2517 30.0321 15.7345 29.9287 15.3207C30.7562 14.2863 30.9631 13.045 30.5493 11.8037C29.9287 10.0452 29.6184 9.11426 28.584 9.11426C28.3771 9.11426 28.2737 9.11426 28.0668 9.2177L27.7564 9.32114L27.5496 9.52802C27.4461 9.63146 27.3427 9.83834 27.3427 10.0452V10.3555V10.5624C27.3427 11.0796 27.2392 11.9072 27.2392 12.114C27.1358 12.3209 26.8255 12.8381 25.998 13.1485C25.8945 13.1485 25.8945 13.1485 25.7911 13.2519C25.2739 13.4588 24.3429 13.7691 23.7223 14.4932C23.205 15.1138 23.1016 15.631 22.9982 16.3551C22.8947 16.8723 22.7913 17.493 22.7913 18.2171H22.6878C21.8603 18.4239 19.9984 18.9411 19.0674 20.4928C18.3433 21.5272 18.2399 22.9753 18.7571 24.5269C18.8605 24.8373 18.964 25.1476 19.0674 25.3545C18.7571 25.251 18.4468 25.1476 18.033 25.0442H17.8261C16.4814 25.0442 14.7229 26.6992 14.7229 29.8024C14.7229 31.1472 14.8263 32.3885 15.1367 33.5263C15.3435 34.3538 15.5504 34.871 15.6539 34.9745L17.2055 37.8708L17.9296 34.6642C18.3433 32.9057 18.8605 32.1816 19.3777 31.7678C20.3087 32.3885 21.4466 32.8022 22.7913 32.8022C24.0326 32.8022 25.3773 32.3885 26.5152 31.7678C27.3427 31.2506 27.9633 30.7334 28.584 30.0093C28.6874 30.0093 28.7909 30.0093 28.8943 30.0093C29.3081 30.0093 30.4459 29.4921 31.3769 28.3543C31.8941 27.6302 32.4113 26.8026 32.7216 25.8717C33.1354 24.7338 33.3423 23.3891 33.4457 21.9409C33.4457 20.5962 33.3423 19.4583 32.9285 18.6308Z" fill="white" stroke="white" stroke-width="0.928571" stroke-linejoin="round"/>
                        <mask id="path-3-outside-1_1_255" maskUnits="userSpaceOnUse" x="14.7571" y="9.14862" width="18" height="27" fill="black">
                        <rect fill="white" x="14.7571" y="9.14862" width="18" height="27"/>
                        <path d="M31.9973 19.0445C31.7904 18.6308 31.4801 18.217 31.0663 18.0101C30.5491 17.6998 30.0319 17.5964 29.6182 17.5964C29.5147 17.5964 29.3078 17.5964 29.2044 17.5964C29.2044 17.4929 29.2044 17.4929 29.2044 17.3895C29.2044 17.3895 29.2044 17.286 29.2044 17.1826C29.3078 16.6654 29.101 15.9413 28.6872 15.3207C28.5837 15.2172 28.5837 15.2172 28.5837 15.2172C28.5837 15.2172 28.5837 15.2172 28.6872 15.1138C29.5147 14.1828 29.825 13.2518 29.4113 12.2174C28.8941 10.1486 28.6872 10.1486 28.5837 10.1486H28.4803C28.4803 10.1486 28.4803 10.1486 28.3769 10.1486V10.2521V10.3555C28.4803 10.9761 28.2734 12.0106 28.17 12.3209C28.0665 12.7346 27.6528 13.4587 26.308 14.0794C26.2046 14.0794 26.1012 14.1828 25.9977 14.1828C25.584 14.2863 24.8599 14.5966 24.4461 15.1138C24.1358 15.5275 24.1358 15.9413 23.9289 16.562C23.8255 17.1826 23.722 17.8032 23.9289 18.6308C23.9289 18.7342 23.9289 18.7342 24.0323 18.8377V18.9411V19.0445C23.9289 19.0445 23.9289 19.0445 23.8255 19.148C23.6186 19.148 23.4117 19.2514 23.2048 19.2514C22.5842 19.3549 20.8257 19.6652 19.8947 21.0099C19.3775 21.8374 19.2741 22.8718 19.6878 24.2166C20.1016 25.4579 20.8257 26.3888 21.3429 26.5957H21.4463V26.6992C21.4463 26.6992 21.4463 26.6992 21.4463 26.8026C21.4463 27.2164 21.2394 27.7336 21.0326 27.7336C20.9291 27.7336 20.5154 27.4232 20.205 27.3198C20.1016 27.2164 19.9982 27.2164 19.8947 27.1129C19.0672 26.5957 18.55 26.2854 17.9293 26.182C17.9293 26.182 17.9293 26.182 17.8259 26.182C17.1018 26.182 15.7571 27.4232 15.7571 29.9058C15.7571 31.1471 15.8605 32.285 16.1708 33.3194C16.3777 34.0435 16.5846 34.4572 16.5846 34.5607L16.8949 34.9744L16.9984 34.4572C17.619 31.8712 18.3431 31.1471 19.481 30.423C20.3085 31.2506 21.5498 31.6643 22.7911 31.6643C23.9289 31.6643 25.0668 31.354 25.9977 30.7334C26.9287 30.1127 27.7562 29.3886 28.17 28.4577C28.2734 28.4577 28.3769 28.5611 28.3769 28.6645C28.5837 28.768 28.6872 28.8714 28.6872 28.8714C28.7906 28.8714 29.6182 28.5611 30.4457 27.6301C30.9629 27.0095 31.2732 26.2854 31.5835 25.4579C31.9973 24.4235 32.2042 23.1822 32.2042 21.8374C32.4111 20.6996 32.3076 19.7686 31.9973 19.0445ZM28.8941 12.4243C28.9975 12.7346 28.9975 13.045 28.8941 13.2518C28.7906 13.7691 28.5837 14.2863 28.17 14.7C28.5837 13.9759 28.7906 13.1484 28.8941 12.4243ZM28.3769 15.8379C28.4803 16.0447 28.5837 16.2516 28.6872 16.4585C28.7906 16.7688 28.7906 16.9757 28.6872 17.286C28.5837 17.5964 28.3769 17.8032 28.17 17.8032C28.0665 17.8032 27.9631 17.8032 27.9631 17.6998C27.6528 17.4929 27.5493 17.0792 27.6528 16.6654C27.6528 16.6654 27.7562 16.562 27.8597 16.3551C27.8597 16.1482 28.17 15.9413 28.3769 15.8379ZM24.8599 15.7344C24.9633 15.5275 25.3771 15.3207 25.6874 15.1138C25.6874 15.1138 25.7908 15.1138 25.7908 15.0103C25.8943 14.9069 26.1012 14.9069 26.2046 14.8035C26.7218 14.5966 27.4459 14.2863 28.0665 13.6656C27.8597 14.2863 27.4459 15.3207 26.7218 16.0447C26.5149 16.1482 26.2046 16.3551 25.8943 16.4585C25.4805 16.6654 24.9633 16.7688 24.5496 17.0792C24.5496 16.7688 24.653 16.1482 24.8599 15.7344ZM24.5496 17.8032C24.7564 17.5964 25.2736 17.286 26.7218 16.8723C26.7218 16.8723 26.7218 16.9757 26.7218 17.0792V17.1826C26.8253 17.6998 26.9287 18.217 27.8597 18.4239C27.7562 18.6308 27.5493 18.9411 27.5493 19.0445C27.3425 19.3549 26.308 19.9755 25.8943 19.9755C25.8943 19.9755 25.8943 19.9755 25.7908 19.9755C25.4805 19.8721 24.8599 19.3549 24.653 18.9411C24.3427 18.1136 24.4461 17.9067 24.5496 17.8032ZM20.9291 25.251C20.4119 24.4235 19.9982 23.0787 20.3085 21.9409C20.4119 21.3202 20.8257 21.0099 21.0326 20.9065C21.2394 20.6996 21.8601 20.4927 22.4807 20.2858C22.5842 20.2858 22.5842 20.2858 22.6876 20.2858C22.7911 20.2858 22.9979 20.1824 23.1014 20.1824C23.3083 20.0789 23.6186 20.0789 23.9289 20.0789C24.0323 20.0789 24.0323 20.0789 24.1358 20.0789C24.2392 20.0789 24.3427 20.0789 24.4461 20.0789C24.5496 20.0789 24.5496 20.0789 24.653 20.1824C24.9633 20.4927 25.584 21.1134 25.9977 21.1134C26.5149 21.1134 27.239 20.5961 28.17 19.7686C28.3769 19.6652 28.4803 19.4583 28.6872 19.3549C28.9975 19.148 29.2044 18.9411 29.6182 18.8377C29.5147 19.148 29.4113 19.7686 29.7216 20.5961C29.9285 21.0099 30.2388 21.9409 30.5491 22.8718C31.0663 24.5269 30.9629 24.7338 30.9629 24.8372C30.9629 24.9407 30.9629 24.9407 30.8594 24.9407H30.756C30.5491 24.8372 30.2388 24.6303 29.9285 24.4235C29.3078 24.0097 28.5837 23.4925 27.5493 23.0787C26.7218 22.7684 25.9977 22.665 25.2736 22.665C24.9633 22.665 24.653 22.665 24.3427 22.7684C22.6876 23.0787 21.7566 23.8028 21.3429 24.2166L21.2394 24.32V24.4235C21.2394 24.4235 21.2394 24.5269 21.3429 24.5269H21.4463C21.4463 24.5269 21.5498 24.5269 21.6532 24.4235C22.1704 24.32 22.6876 24.2166 23.2048 24.1131C23.4117 24.1131 23.6186 24.1131 23.722 24.1131C24.5496 24.1131 25.2736 24.32 26.1012 24.9407C26.308 25.0441 26.4115 25.1475 26.4115 25.251H26.308L25.7908 25.3544C24.653 25.6647 22.7911 26.182 21.9635 26.182C21.8601 26.182 21.8601 26.182 21.7566 26.182C21.4463 25.8716 21.2394 25.5613 20.9291 25.251ZM17.4121 31.2506C17.1018 31.6643 16.7915 32.1815 16.688 32.6987C16.4812 31.9746 16.3777 30.6299 16.4812 29.6989C16.688 27.6301 17.7225 27.0095 17.8259 26.906C17.9293 27.0095 18.0328 27.3198 17.9293 28.8714C17.9293 29.1817 17.9293 29.4921 18.1362 29.6989C18.2397 29.8024 18.4465 29.9058 18.55 30.0093C18.2397 30.423 17.8259 30.8368 17.4121 31.2506ZM19.1706 29.2852C19.0672 29.2852 19.0672 29.2852 18.9637 29.2852C18.9637 29.2852 18.9637 29.2852 18.8603 29.2852C18.8603 29.2852 18.7569 29.1817 18.7569 28.768C18.7569 28.5611 18.7569 28.4577 18.8603 28.2508C18.8603 27.9404 18.9637 27.6301 18.9637 27.3198C19.5844 27.7336 20.205 28.1473 20.6188 28.2508C20.3085 28.5611 19.7913 28.9749 19.1706 29.2852ZM26.8253 29.1817C25.8943 30.2161 24.5496 30.7334 23.2048 30.8368C22.9979 30.8368 22.8945 30.8368 22.6876 30.8368C20.9291 30.8368 19.9982 30.1127 19.5844 29.6989C21.6532 28.8714 22.067 27.5267 22.1704 27.0095C22.1704 26.906 22.1704 26.906 22.1704 26.906C22.2739 26.906 22.4807 26.8026 23.2048 26.4923C23.8255 26.2854 24.5496 26.0785 25.1702 25.8716C25.6874 25.6647 26.1012 25.5613 26.4115 25.4579H26.5149C26.7218 25.7682 27.1356 25.9751 27.1356 25.9751C27.4459 26.0785 27.7562 26.182 28.0665 26.182C28.17 27.2164 27.6528 28.3542 26.8253 29.1817ZM28.3769 25.4579C27.6528 25.4579 27.3425 25.251 27.1356 24.9407C25.8943 23.4925 24.5496 23.2856 24.0323 23.1822C23.8255 23.1822 23.722 23.1822 23.5151 23.1822C23.4117 23.1822 23.2048 23.1822 23.1014 23.1822C23.722 22.9753 24.3427 22.8718 24.9633 22.8718C26.308 22.8718 27.6528 23.3891 28.7906 24.32C29.3078 24.7338 29.6182 24.9407 29.9285 25.1475C29.825 25.1475 29.6182 25.251 29.3078 25.3544H29.2044C28.9975 25.4579 28.6872 25.4579 28.3769 25.4579ZM28.8941 28.2508C28.7906 28.1473 28.6872 28.0439 28.5837 27.9404C28.6872 27.6301 28.7906 27.3198 28.7906 27.0095C28.8941 26.6992 28.8941 26.2854 28.8941 26.0785C29.2044 25.9751 29.6182 25.9751 29.9285 25.8716C30.3422 25.7682 30.6526 25.6647 30.8594 25.4579C30.2388 27.2164 29.2044 28.0439 28.8941 28.2508ZM31.3766 24.1131C31.2732 23.1822 30.9629 22.1478 30.756 21.734V21.6306C30.756 21.6306 30.756 21.5271 30.6526 21.3202C30.4457 20.803 30.1354 19.8721 30.0319 19.5617C29.9285 19.148 30.1354 18.5273 30.2388 18.5273H30.3422C30.5491 18.5273 30.8594 18.7342 31.1698 19.148C31.4801 19.5617 31.5835 20.1824 31.687 20.803C31.687 22.0443 31.5835 23.1822 31.3766 24.1131Z"/>
                        </mask>
                        <path d="M31.9973 19.0445C31.7904 18.6308 31.4801 18.217 31.0663 18.0101C30.5491 17.6998 30.0319 17.5964 29.6182 17.5964C29.5147 17.5964 29.3078 17.5964 29.2044 17.5964C29.2044 17.4929 29.2044 17.4929 29.2044 17.3895C29.2044 17.3895 29.2044 17.286 29.2044 17.1826C29.3078 16.6654 29.101 15.9413 28.6872 15.3207C28.5837 15.2172 28.5837 15.2172 28.5837 15.2172C28.5837 15.2172 28.5837 15.2172 28.6872 15.1138C29.5147 14.1828 29.825 13.2518 29.4113 12.2174C28.8941 10.1486 28.6872 10.1486 28.5837 10.1486H28.4803C28.4803 10.1486 28.4803 10.1486 28.3769 10.1486V10.2521V10.3555C28.4803 10.9761 28.2734 12.0106 28.17 12.3209C28.0665 12.7346 27.6528 13.4587 26.308 14.0794C26.2046 14.0794 26.1012 14.1828 25.9977 14.1828C25.584 14.2863 24.8599 14.5966 24.4461 15.1138C24.1358 15.5275 24.1358 15.9413 23.9289 16.562C23.8255 17.1826 23.722 17.8032 23.9289 18.6308C23.9289 18.7342 23.9289 18.7342 24.0323 18.8377V18.9411V19.0445C23.9289 19.0445 23.9289 19.0445 23.8255 19.148C23.6186 19.148 23.4117 19.2514 23.2048 19.2514C22.5842 19.3549 20.8257 19.6652 19.8947 21.0099C19.3775 21.8374 19.2741 22.8718 19.6878 24.2166C20.1016 25.4579 20.8257 26.3888 21.3429 26.5957H21.4463V26.6992C21.4463 26.6992 21.4463 26.6992 21.4463 26.8026C21.4463 27.2164 21.2394 27.7336 21.0326 27.7336C20.9291 27.7336 20.5154 27.4232 20.205 27.3198C20.1016 27.2164 19.9982 27.2164 19.8947 27.1129C19.0672 26.5957 18.55 26.2854 17.9293 26.182C17.9293 26.182 17.9293 26.182 17.8259 26.182C17.1018 26.182 15.7571 27.4232 15.7571 29.9058C15.7571 31.1471 15.8605 32.285 16.1708 33.3194C16.3777 34.0435 16.5846 34.4572 16.5846 34.5607L16.8949 34.9744L16.9984 34.4572C17.619 31.8712 18.3431 31.1471 19.481 30.423C20.3085 31.2506 21.5498 31.6643 22.7911 31.6643C23.9289 31.6643 25.0668 31.354 25.9977 30.7334C26.9287 30.1127 27.7562 29.3886 28.17 28.4577C28.2734 28.4577 28.3769 28.5611 28.3769 28.6645C28.5837 28.768 28.6872 28.8714 28.6872 28.8714C28.7906 28.8714 29.6182 28.5611 30.4457 27.6301C30.9629 27.0095 31.2732 26.2854 31.5835 25.4579C31.9973 24.4235 32.2042 23.1822 32.2042 21.8374C32.4111 20.6996 32.3076 19.7686 31.9973 19.0445ZM28.8941 12.4243C28.9975 12.7346 28.9975 13.045 28.8941 13.2518C28.7906 13.7691 28.5837 14.2863 28.17 14.7C28.5837 13.9759 28.7906 13.1484 28.8941 12.4243ZM28.3769 15.8379C28.4803 16.0447 28.5837 16.2516 28.6872 16.4585C28.7906 16.7688 28.7906 16.9757 28.6872 17.286C28.5837 17.5964 28.3769 17.8032 28.17 17.8032C28.0665 17.8032 27.9631 17.8032 27.9631 17.6998C27.6528 17.4929 27.5493 17.0792 27.6528 16.6654C27.6528 16.6654 27.7562 16.562 27.8597 16.3551C27.8597 16.1482 28.17 15.9413 28.3769 15.8379ZM24.8599 15.7344C24.9633 15.5275 25.3771 15.3207 25.6874 15.1138C25.6874 15.1138 25.7908 15.1138 25.7908 15.0103C25.8943 14.9069 26.1012 14.9069 26.2046 14.8035C26.7218 14.5966 27.4459 14.2863 28.0665 13.6656C27.8597 14.2863 27.4459 15.3207 26.7218 16.0447C26.5149 16.1482 26.2046 16.3551 25.8943 16.4585C25.4805 16.6654 24.9633 16.7688 24.5496 17.0792C24.5496 16.7688 24.653 16.1482 24.8599 15.7344ZM24.5496 17.8032C24.7564 17.5964 25.2736 17.286 26.7218 16.8723C26.7218 16.8723 26.7218 16.9757 26.7218 17.0792V17.1826C26.8253 17.6998 26.9287 18.217 27.8597 18.4239C27.7562 18.6308 27.5493 18.9411 27.5493 19.0445C27.3425 19.3549 26.308 19.9755 25.8943 19.9755C25.8943 19.9755 25.8943 19.9755 25.7908 19.9755C25.4805 19.8721 24.8599 19.3549 24.653 18.9411C24.3427 18.1136 24.4461 17.9067 24.5496 17.8032ZM20.9291 25.251C20.4119 24.4235 19.9982 23.0787 20.3085 21.9409C20.4119 21.3202 20.8257 21.0099 21.0326 20.9065C21.2394 20.6996 21.8601 20.4927 22.4807 20.2858C22.5842 20.2858 22.5842 20.2858 22.6876 20.2858C22.7911 20.2858 22.9979 20.1824 23.1014 20.1824C23.3083 20.0789 23.6186 20.0789 23.9289 20.0789C24.0323 20.0789 24.0323 20.0789 24.1358 20.0789C24.2392 20.0789 24.3427 20.0789 24.4461 20.0789C24.5496 20.0789 24.5496 20.0789 24.653 20.1824C24.9633 20.4927 25.584 21.1134 25.9977 21.1134C26.5149 21.1134 27.239 20.5961 28.17 19.7686C28.3769 19.6652 28.4803 19.4583 28.6872 19.3549C28.9975 19.148 29.2044 18.9411 29.6182 18.8377C29.5147 19.148 29.4113 19.7686 29.7216 20.5961C29.9285 21.0099 30.2388 21.9409 30.5491 22.8718C31.0663 24.5269 30.9629 24.7338 30.9629 24.8372C30.9629 24.9407 30.9629 24.9407 30.8594 24.9407H30.756C30.5491 24.8372 30.2388 24.6303 29.9285 24.4235C29.3078 24.0097 28.5837 23.4925 27.5493 23.0787C26.7218 22.7684 25.9977 22.665 25.2736 22.665C24.9633 22.665 24.653 22.665 24.3427 22.7684C22.6876 23.0787 21.7566 23.8028 21.3429 24.2166L21.2394 24.32V24.4235C21.2394 24.4235 21.2394 24.5269 21.3429 24.5269H21.4463C21.4463 24.5269 21.5498 24.5269 21.6532 24.4235C22.1704 24.32 22.6876 24.2166 23.2048 24.1131C23.4117 24.1131 23.6186 24.1131 23.722 24.1131C24.5496 24.1131 25.2736 24.32 26.1012 24.9407C26.308 25.0441 26.4115 25.1475 26.4115 25.251H26.308L25.7908 25.3544C24.653 25.6647 22.7911 26.182 21.9635 26.182C21.8601 26.182 21.8601 26.182 21.7566 26.182C21.4463 25.8716 21.2394 25.5613 20.9291 25.251ZM17.4121 31.2506C17.1018 31.6643 16.7915 32.1815 16.688 32.6987C16.4812 31.9746 16.3777 30.6299 16.4812 29.6989C16.688 27.6301 17.7225 27.0095 17.8259 26.906C17.9293 27.0095 18.0328 27.3198 17.9293 28.8714C17.9293 29.1817 17.9293 29.4921 18.1362 29.6989C18.2397 29.8024 18.4465 29.9058 18.55 30.0093C18.2397 30.423 17.8259 30.8368 17.4121 31.2506ZM19.1706 29.2852C19.0672 29.2852 19.0672 29.2852 18.9637 29.2852C18.9637 29.2852 18.9637 29.2852 18.8603 29.2852C18.8603 29.2852 18.7569 29.1817 18.7569 28.768C18.7569 28.5611 18.7569 28.4577 18.8603 28.2508C18.8603 27.9404 18.9637 27.6301 18.9637 27.3198C19.5844 27.7336 20.205 28.1473 20.6188 28.2508C20.3085 28.5611 19.7913 28.9749 19.1706 29.2852ZM26.8253 29.1817C25.8943 30.2161 24.5496 30.7334 23.2048 30.8368C22.9979 30.8368 22.8945 30.8368 22.6876 30.8368C20.9291 30.8368 19.9982 30.1127 19.5844 29.6989C21.6532 28.8714 22.067 27.5267 22.1704 27.0095C22.1704 26.906 22.1704 26.906 22.1704 26.906C22.2739 26.906 22.4807 26.8026 23.2048 26.4923C23.8255 26.2854 24.5496 26.0785 25.1702 25.8716C25.6874 25.6647 26.1012 25.5613 26.4115 25.4579H26.5149C26.7218 25.7682 27.1356 25.9751 27.1356 25.9751C27.4459 26.0785 27.7562 26.182 28.0665 26.182C28.17 27.2164 27.6528 28.3542 26.8253 29.1817ZM28.3769 25.4579C27.6528 25.4579 27.3425 25.251 27.1356 24.9407C25.8943 23.4925 24.5496 23.2856 24.0323 23.1822C23.8255 23.1822 23.722 23.1822 23.5151 23.1822C23.4117 23.1822 23.2048 23.1822 23.1014 23.1822C23.722 22.9753 24.3427 22.8718 24.9633 22.8718C26.308 22.8718 27.6528 23.3891 28.7906 24.32C29.3078 24.7338 29.6182 24.9407 29.9285 25.1475C29.825 25.1475 29.6182 25.251 29.3078 25.3544H29.2044C28.9975 25.4579 28.6872 25.4579 28.3769 25.4579ZM28.8941 28.2508C28.7906 28.1473 28.6872 28.0439 28.5837 27.9404C28.6872 27.6301 28.7906 27.3198 28.7906 27.0095C28.8941 26.6992 28.8941 26.2854 28.8941 26.0785C29.2044 25.9751 29.6182 25.9751 29.9285 25.8716C30.3422 25.7682 30.6526 25.6647 30.8594 25.4579C30.2388 27.2164 29.2044 28.0439 28.8941 28.2508ZM31.3766 24.1131C31.2732 23.1822 30.9629 22.1478 30.756 21.734V21.6306C30.756 21.6306 30.756 21.5271 30.6526 21.3202C30.4457 20.803 30.1354 19.8721 30.0319 19.5617C29.9285 19.148 30.1354 18.5273 30.2388 18.5273H30.3422C30.5491 18.5273 30.8594 18.7342 31.1698 19.148C31.4801 19.5617 31.5835 20.1824 31.687 20.803C31.687 22.0443 31.5835 23.1822 31.3766 24.1131Z" fill="#4083FF"/>
                        <path d="M31.9973 19.0445C31.7904 18.6308 31.4801 18.217 31.0663 18.0101C30.5491 17.6998 30.0319 17.5964 29.6182 17.5964C29.5147 17.5964 29.3078 17.5964 29.2044 17.5964C29.2044 17.4929 29.2044 17.4929 29.2044 17.3895C29.2044 17.3895 29.2044 17.286 29.2044 17.1826C29.3078 16.6654 29.101 15.9413 28.6872 15.3207C28.5837 15.2172 28.5837 15.2172 28.5837 15.2172C28.5837 15.2172 28.5837 15.2172 28.6872 15.1138C29.5147 14.1828 29.825 13.2518 29.4113 12.2174C28.8941 10.1486 28.6872 10.1486 28.5837 10.1486H28.4803C28.4803 10.1486 28.4803 10.1486 28.3769 10.1486V10.2521V10.3555C28.4803 10.9761 28.2734 12.0106 28.17 12.3209C28.0665 12.7346 27.6528 13.4587 26.308 14.0794C26.2046 14.0794 26.1012 14.1828 25.9977 14.1828C25.584 14.2863 24.8599 14.5966 24.4461 15.1138C24.1358 15.5275 24.1358 15.9413 23.9289 16.562C23.8255 17.1826 23.722 17.8032 23.9289 18.6308C23.9289 18.7342 23.9289 18.7342 24.0323 18.8377V18.9411V19.0445C23.9289 19.0445 23.9289 19.0445 23.8255 19.148C23.6186 19.148 23.4117 19.2514 23.2048 19.2514C22.5842 19.3549 20.8257 19.6652 19.8947 21.0099C19.3775 21.8374 19.2741 22.8718 19.6878 24.2166C20.1016 25.4579 20.8257 26.3888 21.3429 26.5957H21.4463V26.6992C21.4463 26.6992 21.4463 26.6992 21.4463 26.8026C21.4463 27.2164 21.2394 27.7336 21.0326 27.7336C20.9291 27.7336 20.5154 27.4232 20.205 27.3198C20.1016 27.2164 19.9982 27.2164 19.8947 27.1129C19.0672 26.5957 18.55 26.2854 17.9293 26.182C17.9293 26.182 17.9293 26.182 17.8259 26.182C17.1018 26.182 15.7571 27.4232 15.7571 29.9058C15.7571 31.1471 15.8605 32.285 16.1708 33.3194C16.3777 34.0435 16.5846 34.4572 16.5846 34.5607L16.8949 34.9744L16.9984 34.4572C17.619 31.8712 18.3431 31.1471 19.481 30.423C20.3085 31.2506 21.5498 31.6643 22.7911 31.6643C23.9289 31.6643 25.0668 31.354 25.9977 30.7334C26.9287 30.1127 27.7562 29.3886 28.17 28.4577C28.2734 28.4577 28.3769 28.5611 28.3769 28.6645C28.5837 28.768 28.6872 28.8714 28.6872 28.8714C28.7906 28.8714 29.6182 28.5611 30.4457 27.6301C30.9629 27.0095 31.2732 26.2854 31.5835 25.4579C31.9973 24.4235 32.2042 23.1822 32.2042 21.8374C32.4111 20.6996 32.3076 19.7686 31.9973 19.0445ZM28.8941 12.4243C28.9975 12.7346 28.9975 13.045 28.8941 13.2518C28.7906 13.7691 28.5837 14.2863 28.17 14.7C28.5837 13.9759 28.7906 13.1484 28.8941 12.4243ZM28.3769 15.8379C28.4803 16.0447 28.5837 16.2516 28.6872 16.4585C28.7906 16.7688 28.7906 16.9757 28.6872 17.286C28.5837 17.5964 28.3769 17.8032 28.17 17.8032C28.0665 17.8032 27.9631 17.8032 27.9631 17.6998C27.6528 17.4929 27.5493 17.0792 27.6528 16.6654C27.6528 16.6654 27.7562 16.562 27.8597 16.3551C27.8597 16.1482 28.17 15.9413 28.3769 15.8379ZM24.8599 15.7344C24.9633 15.5275 25.3771 15.3207 25.6874 15.1138C25.6874 15.1138 25.7908 15.1138 25.7908 15.0103C25.8943 14.9069 26.1012 14.9069 26.2046 14.8035C26.7218 14.5966 27.4459 14.2863 28.0665 13.6656C27.8597 14.2863 27.4459 15.3207 26.7218 16.0447C26.5149 16.1482 26.2046 16.3551 25.8943 16.4585C25.4805 16.6654 24.9633 16.7688 24.5496 17.0792C24.5496 16.7688 24.653 16.1482 24.8599 15.7344ZM24.5496 17.8032C24.7564 17.5964 25.2736 17.286 26.7218 16.8723C26.7218 16.8723 26.7218 16.9757 26.7218 17.0792V17.1826C26.8253 17.6998 26.9287 18.217 27.8597 18.4239C27.7562 18.6308 27.5493 18.9411 27.5493 19.0445C27.3425 19.3549 26.308 19.9755 25.8943 19.9755C25.8943 19.9755 25.8943 19.9755 25.7908 19.9755C25.4805 19.8721 24.8599 19.3549 24.653 18.9411C24.3427 18.1136 24.4461 17.9067 24.5496 17.8032ZM20.9291 25.251C20.4119 24.4235 19.9982 23.0787 20.3085 21.9409C20.4119 21.3202 20.8257 21.0099 21.0326 20.9065C21.2394 20.6996 21.8601 20.4927 22.4807 20.2858C22.5842 20.2858 22.5842 20.2858 22.6876 20.2858C22.7911 20.2858 22.9979 20.1824 23.1014 20.1824C23.3083 20.0789 23.6186 20.0789 23.9289 20.0789C24.0323 20.0789 24.0323 20.0789 24.1358 20.0789C24.2392 20.0789 24.3427 20.0789 24.4461 20.0789C24.5496 20.0789 24.5496 20.0789 24.653 20.1824C24.9633 20.4927 25.584 21.1134 25.9977 21.1134C26.5149 21.1134 27.239 20.5961 28.17 19.7686C28.3769 19.6652 28.4803 19.4583 28.6872 19.3549C28.9975 19.148 29.2044 18.9411 29.6182 18.8377C29.5147 19.148 29.4113 19.7686 29.7216 20.5961C29.9285 21.0099 30.2388 21.9409 30.5491 22.8718C31.0663 24.5269 30.9629 24.7338 30.9629 24.8372C30.9629 24.9407 30.9629 24.9407 30.8594 24.9407H30.756C30.5491 24.8372 30.2388 24.6303 29.9285 24.4235C29.3078 24.0097 28.5837 23.4925 27.5493 23.0787C26.7218 22.7684 25.9977 22.665 25.2736 22.665C24.9633 22.665 24.653 22.665 24.3427 22.7684C22.6876 23.0787 21.7566 23.8028 21.3429 24.2166L21.2394 24.32V24.4235C21.2394 24.4235 21.2394 24.5269 21.3429 24.5269H21.4463C21.4463 24.5269 21.5498 24.5269 21.6532 24.4235C22.1704 24.32 22.6876 24.2166 23.2048 24.1131C23.4117 24.1131 23.6186 24.1131 23.722 24.1131C24.5496 24.1131 25.2736 24.32 26.1012 24.9407C26.308 25.0441 26.4115 25.1475 26.4115 25.251H26.308L25.7908 25.3544C24.653 25.6647 22.7911 26.182 21.9635 26.182C21.8601 26.182 21.8601 26.182 21.7566 26.182C21.4463 25.8716 21.2394 25.5613 20.9291 25.251ZM17.4121 31.2506C17.1018 31.6643 16.7915 32.1815 16.688 32.6987C16.4812 31.9746 16.3777 30.6299 16.4812 29.6989C16.688 27.6301 17.7225 27.0095 17.8259 26.906C17.9293 27.0095 18.0328 27.3198 17.9293 28.8714C17.9293 29.1817 17.9293 29.4921 18.1362 29.6989C18.2397 29.8024 18.4465 29.9058 18.55 30.0093C18.2397 30.423 17.8259 30.8368 17.4121 31.2506ZM19.1706 29.2852C19.0672 29.2852 19.0672 29.2852 18.9637 29.2852C18.9637 29.2852 18.9637 29.2852 18.8603 29.2852C18.8603 29.2852 18.7569 29.1817 18.7569 28.768C18.7569 28.5611 18.7569 28.4577 18.8603 28.2508C18.8603 27.9404 18.9637 27.6301 18.9637 27.3198C19.5844 27.7336 20.205 28.1473 20.6188 28.2508C20.3085 28.5611 19.7913 28.9749 19.1706 29.2852ZM26.8253 29.1817C25.8943 30.2161 24.5496 30.7334 23.2048 30.8368C22.9979 30.8368 22.8945 30.8368 22.6876 30.8368C20.9291 30.8368 19.9982 30.1127 19.5844 29.6989C21.6532 28.8714 22.067 27.5267 22.1704 27.0095C22.1704 26.906 22.1704 26.906 22.1704 26.906C22.2739 26.906 22.4807 26.8026 23.2048 26.4923C23.8255 26.2854 24.5496 26.0785 25.1702 25.8716C25.6874 25.6647 26.1012 25.5613 26.4115 25.4579H26.5149C26.7218 25.7682 27.1356 25.9751 27.1356 25.9751C27.4459 26.0785 27.7562 26.182 28.0665 26.182C28.17 27.2164 27.6528 28.3542 26.8253 29.1817ZM28.3769 25.4579C27.6528 25.4579 27.3425 25.251 27.1356 24.9407C25.8943 23.4925 24.5496 23.2856 24.0323 23.1822C23.8255 23.1822 23.722 23.1822 23.5151 23.1822C23.4117 23.1822 23.2048 23.1822 23.1014 23.1822C23.722 22.9753 24.3427 22.8718 24.9633 22.8718C26.308 22.8718 27.6528 23.3891 28.7906 24.32C29.3078 24.7338 29.6182 24.9407 29.9285 25.1475C29.825 25.1475 29.6182 25.251 29.3078 25.3544H29.2044C28.9975 25.4579 28.6872 25.4579 28.3769 25.4579ZM28.8941 28.2508C28.7906 28.1473 28.6872 28.0439 28.5837 27.9404C28.6872 27.6301 28.7906 27.3198 28.7906 27.0095C28.8941 26.6992 28.8941 26.2854 28.8941 26.0785C29.2044 25.9751 29.6182 25.9751 29.9285 25.8716C30.3422 25.7682 30.6526 25.6647 30.8594 25.4579C30.2388 27.2164 29.2044 28.0439 28.8941 28.2508ZM31.3766 24.1131C31.2732 23.1822 30.9629 22.1478 30.756 21.734V21.6306C30.756 21.6306 30.756 21.5271 30.6526 21.3202C30.4457 20.803 30.1354 19.8721 30.0319 19.5617C29.9285 19.148 30.1354 18.5273 30.2388 18.5273H30.3422C30.5491 18.5273 30.8594 18.7342 31.1698 19.148C31.4801 19.5617 31.5835 20.1824 31.687 20.803C31.687 22.0443 31.5835 23.1822 31.3766 24.1131Z" stroke="#4083FF" stroke-width="0.371429" stroke-linejoin="round" mask="url(#path-3-outside-1_1_255)"/>
                        </svg><span>Jitsi Meet Free</span><span class="desc">Get access to all the free features of the video conference application Jitsi Meet.</span>',
                        'disable-jaas'     => '<svg xmlns="http://www.w3.org/2000/svg" width="40" height="40" viewBox="0 0 48 48" fill="none">
                        <circle cx="24" cy="24" r="24" fill="#F45162"/>
                        <path fill-rule="evenodd" clip-rule="evenodd" d="M17.6605 24.45L17.6644 24.4454C17.8037 24.2778 18.9284 22.9261 18.9284 21.6027C18.9284 19.2784 16.9661 18 14.5511 18C11.5322 18.029 10.2039 19.8013 10.2039 21.6027C10.2039 22.6777 10.6869 23.404 11.3812 23.9852C10.9888 24.2757 9.6001 25.4088 9.6001 27.0359C9.6001 29.0115 11.2605 30.9 14.4001 30.9C17.6001 30.9 19.2001 29.0115 19.2001 27.0939C19.2001 25.8446 18.536 25.031 17.6605 24.45ZM27.8414 22.5H24.7892L24.0848 23.8132C23.9968 24.0175 23.8207 24.251 23.8207 24.251H23.7913C23.7913 24.251 23.6446 24.0175 23.5272 23.8132L22.8523 22.5H19.8L22.2065 26.2354L19.8294 30H22.8229L23.6446 28.4533C23.7326 28.3074 23.8501 28.0447 23.8501 28.0447H23.8793C23.8793 28.0447 23.9968 28.3074 24.0848 28.4533L24.9065 30H27.9L25.5229 26.2354L27.8414 22.5ZM15.6001 21.8613C15.6001 21.1645 15.1144 20.7 14.3144 20.7C13.543 20.7 13.2001 21.1355 13.2001 21.6871C13.2001 22.5 14.0858 22.9355 15.1715 23.4C15.2858 23.1968 15.6001 22.6161 15.6001 21.8613ZM36.8605 24.4792L36.8643 24.4745C37.0037 24.3063 38.1284 22.9483 38.1284 21.619C38.1284 19.2842 36.1661 18 33.7509 18C30.7321 18 29.4038 19.7803 29.4038 21.5898C29.4038 22.6697 29.8869 23.3993 30.5812 23.983C30.1887 24.2749 28.8001 25.4131 28.8001 27.0184C28.8001 29.003 30.4604 30.9 33.6 30.9C36.8001 30.9 38.4001 29.003 38.4001 27.0768C38.4001 25.8801 37.736 25.0629 36.8605 24.4792ZM12.9002 26.7294C12.9002 27.5529 13.5701 28.2001 14.4148 28.2001C15.3468 28.2001 15.9002 27.7589 15.9002 26.9059C15.9002 26.2552 14.9596 25.8295 13.8543 25.3291H13.8542L13.8532 25.3286C13.7599 25.2864 13.6653 25.2436 13.5701 25.2C13.2788 25.5236 12.9002 26.053 12.9002 26.7294ZM33.6147 28.2001C32.77 28.2001 32.1001 27.5529 32.1001 26.7294C32.1001 26.053 32.4788 25.5236 32.77 25.2C32.8656 25.2437 32.9605 25.2866 33.0541 25.3291H33.0542C34.1595 25.8295 35.1002 26.2552 35.1002 26.9059C35.1002 27.7589 34.5467 28.2001 33.6147 28.2001ZM34.8 21.8613C34.8 21.1645 34.3144 20.7 33.5143 20.7C32.7429 20.7 32.4001 21.1355 32.4001 21.6871C32.4001 22.5 33.2857 22.9355 34.3715 23.4C34.4857 23.1968 34.8 22.6161 34.8 21.8613Z" fill="white"/>
                        </svg><span>JaaS 8x8</span><span class="desc">Access to enterprise standard video meeting features and modify everything as you like.</span>',
                        'disable-self'    => '<svg xmlns="http://www.w3.org/2000/svg" width="40" height="40" viewBox="0 0 48 48" fill="none">
                        <circle cx="24" cy="24" r="24" fill="#10D7B0"/>
                        <path fill-rule="evenodd" clip-rule="evenodd" d="M31.0255 19.1455C31.0255 18.2051 30.6519 17.3033 29.987 16.6384C29.3221 15.9735 28.4203 15.6 27.48 15.6H15.0655C14.1252 15.6 13.2234 15.9735 12.5585 16.6384C11.8936 17.3033 11.52 18.2051 11.52 19.1455V23.7807C12.6884 23.0532 14.0463 22.6587 15.4449 22.6587C17.4144 22.6587 19.3032 23.4411 20.6958 24.8337C22.0884 26.2263 22.8707 28.1151 22.8707 30.0845C22.8707 30.9569 22.7172 31.8135 22.4251 32.6182H27.48C28.4203 32.6182 29.3221 32.2447 29.987 31.5798C30.6519 30.9149 31.0255 30.013 31.0255 29.0727V19.1455ZM21.2893 30.0847C21.2893 30.9702 21.0884 31.8351 20.7117 32.6182H16.1536V30.7932H18.2797C18.4676 30.7932 18.6479 30.7185 18.7808 30.5856C18.9137 30.4527 18.9884 30.2725 18.9884 30.0845C18.9884 29.8965 18.9137 29.7163 18.7808 29.5834C18.6479 29.4505 18.4676 29.3758 18.2797 29.3758H16.1536V27.2498C16.1536 27.0618 16.079 26.8815 15.946 26.7486C15.8131 26.6157 15.6329 26.5411 15.4449 26.5411C15.257 26.5411 15.0767 26.6157 14.9438 26.7486C14.8109 26.8815 14.7362 27.0618 14.7362 27.2498V29.3758H12.6102C12.4222 29.3758 12.242 29.4505 12.1091 29.5834C11.9762 29.7163 11.9015 29.8965 11.9015 30.0845C11.9015 30.2725 11.9762 30.4527 12.1091 30.5856C12.242 30.7185 12.4222 30.7932 12.6102 30.7932H14.7362V32.6029C13.9167 32.5265 13.1453 32.1666 12.5585 31.5798C11.8936 30.9149 11.52 30.013 11.52 29.0727V25.7536C12.5924 24.7818 13.9906 24.24 15.4446 24.24C16.9947 24.24 18.4814 24.8558 19.5775 25.9519C20.6736 27.048 21.2893 28.5346 21.2893 30.0847ZM32.16 27.2473L36.1088 30.3309C37.0403 31.0582 38.4 30.3945 38.4 29.2134V19.0053C38.4 17.8237 37.0403 17.1606 36.1088 17.8878L32.16 20.9709V27.2473Z" fill="white"/>
                        <path d="M21.2895 30.0847C21.2895 31.6348 20.6737 33.1214 19.5776 34.2175C18.4815 35.3136 16.9949 35.9294 15.4448 35.9294C13.8947 35.9294 12.4081 35.3136 11.312 34.2175C10.2159 33.1214 9.6001 31.6348 9.6001 30.0847C9.6001 28.5346 10.2159 27.048 11.312 25.9519C12.4081 24.8558 13.8947 24.24 15.4448 24.24C16.9949 24.24 18.4815 24.8558 19.5776 25.9519C20.6737 27.048 21.2895 28.5346 21.2895 30.0847ZM16.0942 27.487C16.0942 27.3148 16.0258 27.1496 15.904 27.0278C15.7822 26.9061 15.617 26.8376 15.4448 26.8376C15.2726 26.8376 15.1074 26.9061 14.9856 27.0278C14.8638 27.1496 14.7954 27.3148 14.7954 27.487V29.4353H12.8472C12.6749 29.4353 12.5097 29.5037 12.388 29.6255C12.2662 29.7473 12.1977 29.9125 12.1977 30.0847C12.1977 30.2569 12.2662 30.4221 12.388 30.5439C12.5097 30.6657 12.6749 30.7341 12.8472 30.7341H14.7954V32.6823C14.7954 32.8546 14.8638 33.0198 14.9856 33.1415C15.1074 33.2633 15.2726 33.3318 15.4448 33.3318C15.617 33.3318 15.7822 33.2633 15.904 33.1415C16.0258 33.0198 16.0942 32.8546 16.0942 32.6823V30.7341H18.0424C18.2147 30.7341 18.3799 30.6657 18.5017 30.5439C18.6234 30.4221 18.6919 30.2569 18.6919 30.0847C18.6919 29.9125 18.6234 29.7473 18.5017 29.6255C18.3799 29.5037 18.2147 29.4353 18.0424 29.4353H16.0942V27.487Z" fill="white"/>
                        </svg><span>Self Hosted</span><span class="desc">Opportunity to host Jitsi Meet on self-hosting with a branded domain and high security.</span>'
                    )
                ]
            ];
    
            $args[] = [
                'id'       => $this->prefix . 'custom_domain',
                'title'    => __('Hosted Domain', 'jitsi-pro') . '<span class="description">' . __('Domain where jitsi hosted', 'jitsi-pro') . '</span>',
                'callback' => [$this->callbacks, 'jitsi_general_disable'],
                'page'     => 'jitsi-pro-api',
                'section'  => $this->prefix . 'api_section',
                'args'     => [
                    'label_for' => $this->prefix . 'custom_domain',
                    'default'   => 'meet.jit.si',
                    'depend'    => array(
                        array(
                            'field'     => $this->prefix . 'select_api_free',
                            'value'     => 'self'
                        )
                    )  
                ]
            ];

            $args[] = [
            'id'       => $this->prefix . 'user_email',
            'title'    => __('User Email', 'jitsi-pro') . '<span class="description desc-pro">' . __('Email address of admin', 'jitsi-pro') . '</span>',
            'callback' => [$this->callbacks, 'jitsi_general'],
            'page'     => 'jitsi-pro-admin',
            'section'  => $this->prefix . 'admin_section',
            'args'     => [
                'label_for' => $this->prefix . 'user_email',
                'disabled'  => true
            ]
        ];

            $args[] = [
            'id'       => $this->prefix . 'user_name',
            'title'    => __('User Username', 'jitsi-pro') . '<span class="description desc-pro">' . __('Username of the admin', 'jitsi-pro') . '</span>',
            'callback' => [$this->callbacks, 'jitsi_general'],
            'page'     => 'jitsi-pro-admin',
            'section'  => $this->prefix . 'admin_section',
            'args'     => [
                'label_for' => $this->prefix . 'user_name',
                'disabled'  => true
            ]
        ];

            $args[] = [
            'id'		=> $this->prefix . 'user_avatar',
            'title'		=> __('User Avatar', 'jitsti-pro') . '<span class="description desc-pro">' . __('The avatar url of the admin user', 'jitsi-pro') . '</span>',
            'callback'	=> [$this->callbacks, 'jitsi_single_img'],
            'page'		=> 'jitsi-pro-admin',
            'section'	=> $this->prefix . 'admin_section',
            'args'		=> [
                'label_for'	=> $this->prefix . 'user_avatar',
                'default'   => JITSI_MEET_WP_URL.'/assets/img/avatar.png',
                'size'      => __('280x70px png, up to 4MB', 'jitsi-pro'),
                'disabled'  => true
            ]
        ];

            $args[] = [
            'id'       => $this->prefix . 'user_is_moderator',
            'title'    => __('User is Moderator', 'jitsi-pro') . '<span class="description desc-pro">' . __('Set default user as moderator', 'jitsi-pro') . '</span>',
            'callback' => [$this->callbacks, 'jitsi_switch'],
            'page'     => 'jitsi-pro-admin',
            'section'  => $this->prefix . 'admin_section',
            'args'     => [
                'label_for' => $this->prefix . 'user_is_moderator',
                'default'   => 0,
                'disabled'  => true
            ]
        ];

            $args[] = [
            'id'       => $this->prefix . 'other_admin_config',
            'title'    => __('Other Admin Config', 'jitsi-pro') . '<span class="description desc-pro">' . __('Those are on https://jaas.8x8.vc/#/branding', 'jitsi-pro') . '</span>',
            'callback' => [$this->callbacks, 'jitsi_other_admin'],
            'page'     => 'jitsi-pro-admin',
            'section'  => $this->prefix . 'admin_section',
            'args'     => [
                'label_for' => $this->prefix . 'other_admin_config',
                'default'   => 1,
                'disabled'  => true
            ]
        ];

            $args[] = [
            'id'		=> $this->prefix . 'width',
            'title'		=> __('Meeting Width', 'jitsti-pro') . '<span class="description">' . __('Width in pixel when not on fullscreen', 'jitsi-pro') . '</span>',
            'callback'	=> [$this->callbacks, 'jitsi_number'],
            'page'		=> 'jitsi-pro-config',
            'section'	=> $this->prefix . 'config_section',
            'args'		=> [
                'label_for'	=> $this->prefix . 'width',
                'default'   => 1080
            ]
        ];

            $args[] = [
                'id'		=> $this->prefix . 'height',
                'title'		=> __('Meeting Height', 'jitsti-pro') . '<span class="description">' . __('Height in pixel when not on fullscreen', 'jitsi-pro') . '</span>',
                'callback'	=> [$this->callbacks, 'jitsi_number'],
                'page'		=> 'jitsi-pro-config',
                'section'	=> $this->prefix . 'config_section',
                'args'		=> [
                    'label_for'	=> $this->prefix . 'height',
                    'default'   => 720
                ]
            ];

            $args[] = [
                'id'		=> $this->prefix . 'invite',
                'title'		=> __('Enable Inviting', 'jitsti-pro') . '<span class="description">' . __('Attendee can invite people', 'jitsi-pro') . '</span>',
                'callback'	=> [$this->callbacks, 'jitsi_switch'],
                'page'		=> 'jitsi-pro-config',
                'section'	=> $this->prefix . 'config_section',
                'args'		=> [
                    'label_for'	=> $this->prefix . 'invite',
                    'default'   => 1
                ]
            ];

            $args[] = [
                'id'		=> $this->prefix . 'enableWelcomePage',
                'title'		=> __('Welcome Page', 'jitsti-pro') . '<span class="description desc-pro">' . __('Enable/Disable welcome page', 'jitsi-pro') . '</span>',
                'callback'	=> [$this->callbacks, 'jitsi_switch'],
                'page'		=> 'jitsi-pro-config',
                'section'	=> $this->prefix . 'config_section',
                'args'		=> [
                    'label_for'	=> $this->prefix . 'enableWelcomePage',
                    'default'   => 0,
                    'disabled'  => true
                ]
            ];

            $args[] = [
            'id'		=> $this->prefix . 'start_local_audio_muted',
            'title'		=> __('Yourself muted', 'jitsti-pro') . '<span class="description">' . __('Start with yourself muted', 'jitsi-pro') . '</span>',
            'callback'	=> [$this->callbacks, 'jitsi_switch'],
            'page'		=> 'jitsi-pro-audio',
            'section'	=> $this->prefix . 'audio_section',
            'args'		=> [
                'label_for'	=> $this->prefix . 'start_local_audio_muted',
                'default'   => 0
            ]
        ];

            $args[] = [
            'id'		=> $this->prefix . 'start_audio_only',
            'title'		=> __('Audio Only', 'jitsti-pro') . '<span class="description desc-pro">' . __('Start conference on audio only', 'jitsi-pro') . '</span>',
            'callback'	=> [$this->callbacks, 'jitsi_switch'],
            'page'		=> 'jitsi-pro-audio',
            'section'	=> $this->prefix . 'audio_section',
            'args'		=> [
                'label_for'	=> $this->prefix . 'start_audio_only',
                'default'   => 0,
                'disabled'  => true
            ]
        ];

            $args[] = [
            'id'		=> $this->prefix . 'start_audio_muted',
            'title'		=> __('Audio Muted', 'jitsti-pro') . '<span class="description desc-pro">' . __('Participant after nth will be muted', 'jitsi-pro') . '</span>',
            'callback'	=> [$this->callbacks, 'jitsi_number'],
            'page'		=> 'jitsi-pro-audio',
            'section'	=> $this->prefix . 'audio_section',
            'args'		=> [
                'label_for'	=> $this->prefix . 'start_audio_muted',
                'default'   => 10,
                'disabled'  => true
            ]
        ];

            $args[] = [
            'id'		=> $this->prefix . 'start_silent',
            'title'		=> __('Start Silent', 'jitsti-pro') . '<span class="description desc-pro">' . __('Disable local audio output', 'jitsi-pro') . '</span>',
            'callback'	=> [$this->callbacks, 'jitsi_switch'],
            'page'		=> 'jitsi-pro-audio',
            'section'	=> $this->prefix . 'audio_section',
            'args'		=> [
                'label_for'	=> $this->prefix . 'start_silent',
                'default'   => 0,
                'disabled'  => true
            ]
        ];

            $args[] = [
            'id'		=> $this->prefix . 'startWithVideoMuted',
            'title'		=> __('Start Video Muted', 'jitsti-pro') . '<span class="description">' . __('Start call with video muted', 'jitsi-pro') . '</span>',
            'callback'	=> [$this->callbacks, 'jitsi_switch'],
            'page'		=> 'jitsi-pro-video',
            'section'	=> $this->prefix . 'video_section',
            'args'		=> [
                'label_for'	=> $this->prefix . 'startWithVideoMuted',
                'default'   => 0
            ]
        ];

            $args[] = [
            'id'		=> $this->prefix . 'startScreenSharing',
            'title'		=> __('Start Screen Sharing', 'jitsti-pro') . '<span class="description">' . __('Start call with screen sharing instead of camera video', 'jitsi-pro') . '</span>',
            'callback'	=> [$this->callbacks, 'jitsi_switch'],
            'page'		=> 'jitsi-pro-video',
            'section'	=> $this->prefix . 'video_section',
            'args'		=> [
                'label_for'	=> $this->prefix . 'startScreenSharing',
                'default'   => 0
            ]
        ];

            $args[] = [
            'id'		=> $this->prefix . 'video_resolution',
            'title'		=> __('Video Resolution', 'jitsti-pro') . '<span class="description desc-pro">' . __('Start with preferred resolution', 'jitsi-pro') . '</span>',
            'callback'	=> [$this->callbacks, 'jitsi_select'],
            'page'		=> 'jitsi-pro-video',
            'section'	=> $this->prefix . 'video_section',
            'args'		=> [
                'label_for'	=> $this->prefix . 'video_resolution',
                'default'   => 720,
                'options'   => array(
                    480     => '480p',
                    720     => '720p',
                    1080    => '1080p',
                    1440    => '1440p',
                    1080    => '1080p',
                    2160    => '2160p',
                    4320    => '4320p'
                ),
                'disabled'  => true
            ]
        ];

            $args[] = [
            'id'		=> $this->prefix . 'maxfullresolutionparticipant',
            'title'		=> __('Max Full Resolution', 'jitsti-pro') . '<span class="description desc-pro">' . __('Number of participant with default resolution', 'jitsi-pro') . '</span>',
            'callback'	=> [$this->callbacks, 'jitsi_number'],
            'page'		=> 'jitsi-pro-video',
            'section'	=> $this->prefix . 'video_section',
            'args'		=> [
                'label_for'	=> $this->prefix . 'maxfullresolutionparticipant',
                'default'   => 2,
                'disabled'  => true
            ]
        ];

            $args[] = [
            'id'		=> $this->prefix . 'startVideoMuted',
            'title'		=> __('Video Muted After', 'jitsti-pro') . '<span class="description desc-pro">' . __('Every participant after nth will start video muted', 'jitsi-pro') . '</span>',
            'callback'	=> [$this->callbacks, 'jitsi_number'],
            'page'		=> 'jitsi-pro-video',
            'section'	=> $this->prefix . 'video_section',
            'args'		=> [
                'label_for'	=> $this->prefix . 'startVideoMuted',
                'default'   => 10,
                'disabled'  => true
            ]
        ];

            $args[] = [
            'id'		=> $this->prefix . 'enable_livestream',
            'title'		=> __('Enable Livestream', 'jitsti-pro') . '<span class="description desc-pro">' . __('Turn on livestreaming', 'jitsi-pro') . '</span>',
            'callback'	=> [$this->callbacks, 'jitsi_switch'],
            'page'		=> 'jitsi-pro-config',
            'section'	=> $this->prefix . 'config_section',
            'args'		=> [
                'label_for'	=> $this->prefix . 'enable_livestream',
                'default'   => 0,
                'disabled'  => true
            ]
        ];

            $args[] = [
            'id'		=> $this->prefix . 'enable_recording',
            'title'		=> __('Enable Recording', 'jitsti-pro') . '<span class="description desc-pro">' . __('Turn on to record the meeting', 'jitsi-pro') . '</span>',
            'callback'	=> [$this->callbacks, 'jitsi_switch'],
            'page'		=> 'jitsi-pro-config',
            'section'	=> $this->prefix . 'config_section',
            'args'		=> [
                'label_for'	=> $this->prefix . 'enable_recording',
                'default'   => 0,
                'disabled'  => true
            ]
        ];

            $args[] = [
            'id'		=> $this->prefix . 'enable_outbound',
            'title'		=> __('Enable Outbound', 'jitsti-pro') . '<span class="description desc-pro">' . __('Allow outbound on the meeting', 'jitsi-pro') . '</span>',
            'callback'	=> [$this->callbacks, 'jitsi_switch'],
            'page'		=> 'jitsi-pro-config',
            'section'	=> $this->prefix . 'config_section',
            'args'		=> [
                'label_for'	=> $this->prefix . 'enable_outbound',
                'default'   => 0,
                'disabled'  => true
            ]
        ];

            $args[] = [
            'id'		=> $this->prefix . 'enable_transcription',
            'title'		=> __('Enable Transcription', 'jitsti-pro') . '<span class="description desc-pro">' . __('Transcript the meeting', 'jitsi-pro') . '</span>',
            'callback'	=> [$this->callbacks, 'jitsi_switch'],
            'page'		=> 'jitsi-pro-config',
            'section'	=> $this->prefix . 'config_section',
            'args'		=> [
                'label_for'	=> $this->prefix . 'enable_transcription',
                'default'   => 0,
                'disabled'  => true
            ]
        ];

            $args[] = [
            'id'		=> $this->prefix . 'disableSimulcast',
            'title'		=> __('Simulcast', 'jitsti-pro') . '<span class="description desc-pro">' . __('Enable/Disable simulcast', 'jitsi-pro') . '</span>',
            'callback'	=> [$this->callbacks, 'jitsi_switch'],
            'page'		=> 'jitsi-pro-config',
            'section'	=> $this->prefix . 'config_section',
            'args'		=> [
                'label_for'	=> $this->prefix . 'disableSimulcast',
                'default'   => 0,
                'disabled'  => true
            ]
        ];

            $this->settings->setFields($args);
        }
    }

    new Jitsi_Pro_Admin_Settings();
}
